:root {
    --light: #f8f9fa;
    --bg-light: rgba(248, 250, 246, 0.96);
    --bg-body: #f8f9fa;
    --bg-card: #fdfdfd;
    --text: #08100c;
    --light-primary: #8ecae6;
    --blue-primary: #0484d6;
    --green-primary: #17cf8d;
    --dark-primary: #023047;
    --yellow-primary: #ffb703;
    --orange-primary: #fb8500;
    --btn-text-light: #f8f9fa;
    --btn-text-dark: #023047;
    --btn-blue-primary: #0484d6;
    --btn-blue-primary-hover: #064d78;
    --btn-secondary: #ced1d2;
    --btn-secondary-hover: #838586;
    --danger: #b41c2b;
    --danger-hover: #631119;
    --border: #adadad;
}

* {
    box-sizing: border-box;
}
a {
    outline: none;
}
html {
    margin: 0;
    padding: 0;
}
body {
    margin: 0;
    padding: 0;
    width: 100dvw;
    height: 100dvh;
    font-family: "Instrument Sans", ui-sans-serif, system-ui, sans-serif,
        "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol",
        "Noto Color Emoji";
    background: #f8f8f9;
}

/* margin & padding  */
.pr-mt-1 {margin-top: 1em;}
.pr-mb-1 {margin-bottom: 1em;}
.pr-ms-1 {margin-left: 1em;}
.pr-me-1 {margin-right: 1em;}
.pr-mt-2 {margin-top: 2em;}
.pr-mb-2 {margin-bottom: 2em;}
.pr-ms-2 {margin-left: 2em;}
.pr-me-2 {margin-right: 2em;}
.pr-m-auto {margin: auto;}
.pr-mh-auto {margin-left: auto;margin-right: auto;}
.pr-p-1 {padding: 1em;}
.pr-p-2 {padding: 2em;}
.pr-p-1 {padding: 1em;}
.pr-pl-1 {padding-left: 1em;}
.pr-pr-1 {padding-right: 1em;}
.pr-pt-1 {padding-top: 1em;}
.pr-pb-1 {padding-bottom: 1em;}
.pr-p-2 {padding: 2em;}
.pr-pl-2 {padding-left: 2em;}
.pr-pr-2 {padding-right: 2em;}
.pr-p-1-2 {padding: 1em 2em;}
.pr-fnt-8 {font-size: 0.8rem;}
.pr-fnt-9 {font-size: 0.9rem;}
.pr-fnt-12 {font-size: 1.2rem;}
.pr-fnt-15 {font-size: 1.5rem;}
.pr-fnt-300 {font-weight: 300;}
.pr-fnt-500 {font-weight: 500;}
.pr-fnt-600 {font-weight: 600;}
.pr-fnt-bold {font-weight: 700;}

/* alignment & justify  */
.pr-jcc {justify-content: center;}
.pr-jcs {justify-content: start;}
.pr-jce {justify-content: end;}
.pr-jcsa {justify-content: space-around;}
.pr-jcsb {justify-content: space-between;}
.pr-jcse {justify-content: space-evenly;}
.pr-ais {align-items: start;}
.pr-aic {align-items: center;}
.pr-aist {align-items: stretch;}
.pr-aie {align-items: end;}
.pr-tas {text-align: start;}
.pr-tac {text-align: center;}
.pr-tae {text-align: end;}
.pr-g-1 {gap: 1em;}
.pr-g-2 {gap: 2em;}
.pr-g-3 {gap: 3em;}
.pr-br-1 {border-radius: 1rem;}
.pr-br-6 {border-radius: 6px;}
.pr-lh-12 {line-height: 1.3;}
.pr-dblock {display: block;}
.pr-dflex {display: flex;}
.pr-dflxwrap {flex-wrap: wrap;}
.pr-dflxgrow {flex-grow: 1;}
.pr-dflxcol {flex-direction: column;}
.pr-hide {display: none;}
.pr-w100 {width: 100%;box-sizing: border-box;}
.pr-w100dvw {width: 100dvw;}
.pr-cpointer {cursor: pointer;}

/* EFFECTS */
.pr-shadow {
    box-shadow: 6px 6px 8px 0px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 6px 6px 8px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 6px 6px 8px 0px rgba(0, 0, 0, 0.1);
}
.dborder {
    border: 1px solid var(--border);
}
.dline{
    border-bottom: 1px solid lightgrey;
    margin: 0.5em 0;
}
.status.true {
    color: #008000;
    font-size: 0.9em;
}
.status.false {
    color: #7b1111;
    font-size: 0.9em;
}
.pr-toast {
    position: absolute;
    top:0;
    right:5em ;
    width: 200px;
    padding: 0.3em;
    z-index: 10;
}
/* CONTAINER */
.pr-container {
    width: 100dvw;
    height: 100dvh;
    margin:0;
}
.pr-container-page {
    position: fixed;
    top:4em;
    display: flex;
    justify-content: center;
    width: 100dvw;
    margin: 0;
    margin-top: 1em;
}
.pr-content-page {
    width: 90dvw;
    height: calc(100dvh - 3em);
    overflow-x: hidden;
    overflow-y: auto;
}
.pr-form-page {
    display: block;
    background-color: #fefefe;
    padding: 0.5em 0;
    border-radius: 8px;
    margin-bottom: 1em;
}
.pr-mb{
    margin-bottom:6em;
}
.pr-col {
    display: block;
    width: calc(50% - 4em);
}
.pr-title-form {
    font-size: 1.1em;
    font-weight:500;
    color:var(--btn-blue-primary-hover);
    margin-bottom: 1em;
    margin-top: 1em;
}
.pr-header-form {
    font-weight:500;
    color:var(--light);
    background-color: var(--light-primary);
    padding: 0.3em 0.5em;
    margin: -0.5em 0 0.5em 0;
    border-radius: 8px 8px 0 0;
}
.pr-header{
    position:fixed;
    top:0;
    z-index: 1;
    background-color: var(--bg-body);
}
.pr-menu-bar {
    top:0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100dvw;
    overflow-x: auto;
    background-color: #f0f2f5;
    box-shadow: 3px 3px 2px 0px #e2e2e2;
}
.pr-menu-area {
    display: flex;
    justify-content: space-between;
    width: 90dvw;
    padding: 0.3em 0;
}
.pr-menu-left {
    display: flex;
    align-items: center;
    gap: 1em;
}
.pr-menu-right {
    display: flex;
    align-items: center;
    gap: 1em;
}
.pr-user-icon {
    display: none;
    font-size:1em;
    color:var(--text);
    cursor: pointer;
    text-decoration: none;
    outline:none;
    border-radius: 50%;
    border:1px solid ;
    padding: 0.2em 0.5em;
}
.over-x-auto {
    overflow-x: auto;
}
.over-y-auto {
    overflow-y: auto;
}
.over-xy-auto {
    overflow: auto;
}
/* DISPLAY FIRST */
.container-first {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100dvh;
    margin: 0;
    padding: 0;
}
.box-light {
    width: max(300px, 50%);
    background-color: var(--bg-light);
    padding: 2em;
    border-radius: 0.5em;
    box-shadow: 6px 6px 8px 0px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 6px 6px 8px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 6px 6px 8px 0px rgba(0, 0, 0, 0.1);
}
.box-first {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: max(300px, 45%);
    height: 430px;
    padding: 1em;
    background-color: var(--light);
    border-radius: 0.5em;
}
.image-logo {
    width: 6vh;
    height: auto;
    object-fit: contain;
    user-select: none;
    -webkit-user-drag: none;
}
.title-logo {
    font-size: 4vh;
    font-weight: 700;
    color: var(--dark-primary);
    user-select: none;
}
/* BUTTON */
button {
    font-size: 1em;
    font-weight: 600;
    padding: 8px 15px;
    outline: none;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s ease;
}
button:disabled {
    cursor: not-allowed;
    opacity: 0.6;
}
.btn-shadow {
    box-shadow: 3px 3px 2px 0px #e2e2e2;
}
.btn-primary {
    background: var(--btn-blue-primary);
    color: var(--btn-text-light);
}
.btn-primary:hover {
    background: var(--btn-blue-primary-hover);
    color: var(--btn-text-light);
}
.btn-secondary {
    background: var(--btn-secondary);
    color: var(--btn-text-dark);
}
.btn-secondary:hover {
    background: var(--btn-secondary-hover);
    color: var(--btn-text-light);
}
.btn-transparent {
    background: transparent;
    color: var(--dark-primary);
    border: 1px solid var(--dark-primary);
}
.btn-transparent:hover {
    background: var(--dark-primary);
    color: var(--btn-text-light);
}
.btn-link {
    background: transparent;
    color: var(--btn-blue-primary-hover);
    text-decoration: none;
    padding: 0;
    box-shadow: none;
    font-size: 0.9em;
}
.btn-link:hover {
    text-decoration: underline;
    color: var(--dark-primary);
}
.pr-btn-toggle-password {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 1.2em;
    color: #7e7a7a;
    box-shadow: none;
}
.btn-menu {
    background: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 1.1em;
    color: #7e7a7a;
    box-shadow: none;
}
.btn-menu:hover {
    color: var(--dark-primary);
}
.btn-submenu{
    background: transparent;
    color: var(--text);
    text-decoration: none;
    padding: 0.3em 0.6em;
    box-shadow: none;
    font-size: 0.9em;
    border:1px solid var(--border);
    border-radius:10px;

}
.btn-submenu:hover{
    background-color: #adadad;
}
.btn-action{
    background: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 0.9em;
    box-shadow: none;
    padding: 0;
}
.btn-action:hover{
    color:var(--dark-primary);
}
.danger{
    color: var(--danger);
}
.danger:hover{
    color:var(--danger-hover);
}

/* FORM CONTROL */
.pr-form-group {
    display: flex;
    flex-direction: column;
    gap: 0.3em;
    width: 100%;
    margin-top: 0.4em;
    margin-bottom: 1em;
}
label {
    font-weight: 400;
    font-size: 0.9em;
}
.pr-label-width{
    width: min(300px, 100%);
}
.pr-input {
    font-size: 1em;
    font-weight: 500 !important;
    padding: 6px 10px;
    width: 100%;
    outline: none;
    background: #ffffff;
    color: #000000;
    border: 1px solid #afaaaa;
    border-radius: 5px;
    box-shadow: 3px 3px 2px 0px #e2e2e2;
    transition: 0.3s ease;
}

.pr-input:focus {
    background: #f2f2f2;
    border: 1px solid #5790ab;
    border-radius: 5px;
}
.pr-input::placeholder {
    color: #7e7a7a;
}
.pr-input-width{
    width: min(500px, 100%)!important;
}
.req:after {
    content:" *";
    color: red;
}
.pr-upCase{
    text-transform: uppercase;
}
.pr-div-table {
    display: block;
    width: 100%;
    height: calc(100dvh - 170px);
    margin-top: 0.8em;
    margin-bottom: 0.8em;
    overflow: auto;
    border-radius: 6px;
    background-color: var(--bg-card);
}
.pr-table {
    display: table;
    width: 100%;
    border-collapse: collapse;
    border-spacing: 1px;
    font-size:0.9em;
}
.pr-table thead th{
    position:sticky;
    top:0;
    z-index:1;
}
.pr-table th {
    background-color: var(--light-primary);
    color: var(--btn-text-light);
    font-weight: 600;
    padding: 0.5em;
    text-align: left;
}
.pr-tbhead-center th {
    text-align: center!important;
}
.pr-table td {
    color: var(--text);
    font-weight: 400;
    padding: 0.5em;
    vertical-align: middle;
    border-bottom: 1px solid #e0e0e0;
}
.pr-table-auto-width {
    table-layout: auto;
}
.pr-table-nowrap td{
    white-space: nowrap;
}
.pr-column-bg-1{
    background-color: #dadbe2!important;
}
.pr-table-col-1 tr td:first-child {
    text-align:end;
 }
.pr-table-stripe tr:nth-child(even) {
    background-color: #dfdfdf;
}
.pr-divtable-s{
    width:90%;
    height: calc(100dvh - 220px);
    overflow-y:auto;
}
.pr-table-s {
    display: table;
    border-collapse: collapse;
    border-spacing: 1px;
    font-size:0.8em;
}
.pr-table-s td {
    color: var(--text);
    font-weight: 400;
    padding: 0.2em 0.5em;
    vertical-align: middle;
    /*border-bottom: 1px solid #e0e0e0;*/
}

/* MEDIA  */
/*Desktop  */
@media only screen and (max-width: 1440px) {
    .pr-user-icon{
        display:none;
    }
    #usrgreeting {
        display:flex;
    }
}
/*Tablet Lands  */
@media only screen and (max-width: 1024px) {
    .pr-user-icon{
        display:none;
    }
    #usrgreeting {
        display:flex;
    }
    .pr-col {
        width: calc(50% - 1em);
    }
    .pr-toast{
        top:0;
        right:4em;
    }
}
/* Tablet Port */
@media only screen and (max-width: 834px) {
    .pr-user-icon{
        display:none;
    }
    #usrgreeting {
        display:none;
    }
    .pr-toast{
        top:0;
        right:2em;
    }
}
/* HP lands  */
@media only screen and (max-width: 768px) {
    .pr-user-icon{
        display:none;
    }
    #usrgreeting {
        display:none;
    }
    .pr-toast{
        top:0;
        right:2em;
    }
}
/* HP port */
@media only screen and (max-width: 576px) {
    .pr-container {
        padding: 0.5em;
    }
    .pr-col {
        width: 100%;
    }
    .title-logo {
        font-size: 3vh;
    }
    .pr-menu-left, .pr-menu-right {
        gap: 0.5em;
    }
    .btn-menu {
        font-size: 0.9em;
    }
    .pr-user-icon{
        display:flex;
        font-size: 0.8em;
        padding: 0.2em 0.25em;
    }
    #usrgreeting {
        display:none;
    }
    .pr-toast{
        top:0;
        right:2em;
    }
}
/* LOADING  */
.box-abs {
    position: fixed;
    width: 50px;
    height: 50px;
    background: transparent;
    top: calc(50dvh - 25px);
    left: calc(50dvw - 25px);
    z-index: 99;
}

.lds-roller,
.lds-roller div,
.lds-roller div:after {
    box-sizing: border-box;
}
.lds-roller {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-roller div {
    animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    transform-origin: 40px 40px;
}
.lds-roller div:after {
    content: " ";
    display: block;
    position: absolute;
    width: 7.2px;
    height: 7.2px;
    border-radius: 50%;
    background: currentColor;
    margin: -3.6px 0 0 -3.6px;
}
.lds-roller div:nth-child(1) {
    animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
    top: 62.62742px;
    left: 62.62742px;
}
.lds-roller div:nth-child(2) {
    animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
    top: 67.71281px;
    left: 56px;
}
.lds-roller div:nth-child(3) {
    animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
    top: 70.90963px;
    left: 48.28221px;
}
.lds-roller div:nth-child(4) {
    animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
    top: 72px;
    left: 40px;
}
.lds-roller div:nth-child(5) {
    animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
    top: 70.90963px;
    left: 31.71779px;
}
.lds-roller div:nth-child(6) {
    animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
    top: 67.71281px;
    left: 24px;
}
.lds-roller div:nth-child(7) {
    animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
    top: 62.62742px;
    left: 17.37258px;
}
.lds-roller div:nth-child(8) {
    animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
    top: 56px;
    left: 12.28719px;
}
@keyframes lds-roller {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* BACKGROUND ANIMATION */
.pr-bg {
    animation: slide 5s ease-in-out infinite alternate;
    background-image: linear-gradient(
        -60deg,
        rgb(198, 196, 196) 50%,
        rgb(243, 243, 243) 50%
    );
    bottom: 0;
    left: -50%;
    opacity: 0.5;
    position: fixed;
    right: -50%;
    top: 0;
    z-index: -1;
}

.pr-bg2 {
    animation-direction: alternate-reverse;
    animation-duration: 8s;
}

.pr-bg3 {
    animation-duration: 15s;
}

.pr-content {
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 0.25em;
    box-shadow: 0 0 0.25em rgba(0, 0, 0, 0.25);
    box-sizing: border-box;
    left: 50%;
    padding: 10vmin;
    position: fixed;
    text-align: center;
    top: 50%;
    transform: translate(-50%, -50%);
}

@keyframes slide {
    0% {
        transform: translateX(-25%);
    }
    100% {
        transform: translateX(25%);
    }
}
